Subject: bug#42487: 26.3; org-mode; Found a bug when typing Korean in org-table!

From: Chanhee Jeong <[email-masked]>
Date: Fri, 24 Jul 2020 00:55:30 +0000

(I’m resending this email to include carbon copy to emacs bug page)

Thank you for replying!

Here is a recipe to reproduce the problem:

  1.  emacs -Q
  2.  M-x set-language-environment RET Korean RET
  3.  C-u C-\ korean-hangul RET
  4.  C-x C-f test.org
  5.  M-x set-buffer-file-coding-system RET utf-8 RET
  6.  | <SPC> This <SPC> | <SPC> Is <SPC> | <SPC> A <SPC> | <SPC> Table <SPC> |
  7.  C-c RET
  8.  C-\
  9.  gksrmf <SPC> TAB
  10. gksrmf <SPC> TAB
  11. gksrmf <SPC> gksrmf <SPC> TAB
  12. gksrmf , TAB
  13. gksrmf . TAB
  14. gksrmf : TAB
  15. gksrmf ! TAB

Notes explaining some of the steps:

     *   (Step 3) Korean input method ‘korean-hangul’
     *   (Step 5) Optional (without it, the coding system is iso-2022-kr)
     *   (Step 6, 7) Making a simple org-table
     *   (Step 9~) ‘gksrmf’ should type into ‘한글’ (which means ‘Korean’ in Korean)
     *   (Step 9) 1st cell is an exception - <SPC> does not erase ‘한글’
     *   (Step 10) <SPC> erases ‘한글’
     *   (Step 11) <SPC> erases ‘한글’ and retyped ‘한글’ is not erased by <SPC> (i.e., after disappearing once, it’s possible to type normally)
     *   (Step 12~) ‘,’, ‘.’, ‘:’, ‘!’ erase ‘한글’

Please refer to: https://giphy.com/gifs/Ln3lQrKDQIZf5RHCsM

I really appreciate your taking a look into this bug.
I’ll be more than happy to provide more details if needed.

Thank you very much!

Sincerely,

Chanhee Jeong
[email-masked]<mailto:[email-masked]>
[email-masked]<mailto:[email-masked]>